发布时间 :2006-07-27 16:04:00
修订时间 :2011-03-07 21:39:30

[原文]Mozilla Firefox before, Thunderbird before, and SeaMonkey before 1.0.3 allows remote attackers to hijack native DOM methods from objects in another domain and conduct cross-site scripting (XSS) attacks using DOM methods of the top-level object.

[CNNVD]Mozilla Firefox/SeaMonkey/Thunderbird DOM方法拒绝服务攻击漏洞(CNNVD-200607-488)

        Mozilla Firefox/SeaMonkey/Thunderbird都是Mozilla发布的WEB浏览器和邮件新闻组客户端产品。
        允许远程攻击者劫持DOM方法从另一个域对象同时利用DOM的 top-level对象的引起拒绝服务攻击漏洞

- CVSS (基础分值)

CVSS分值: 5.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:mozilla:firefox:1.5Mozilla Firefox 1.5
cpe:/a:mozilla:thunderbird: Thunderbird
cpe:/a:mozilla:firefox: Firefox
cpe:/a:mozilla:firefox: Firefox
cpe:/a:mozilla:thunderbird: Thunderbird
cpe:/a:mozilla:thunderbird:1.5Mozilla Thunderbird 1.5
cpe:/a:mozilla:seamonkey:1.0.2Mozilla SeaMonkey 1.0.2
cpe:/a:mozilla:seamonkey:1.0Mozilla SeaMonkey 1.0
cpe:/a:mozilla:firefox: Firefox
cpe:/a:mozilla:seamonkey:1.0.1Mozilla SeaMonkey 1.0.1
cpe:/a:mozilla:firefox: Firefox

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:9611Mozilla Firefox before, Thunderbird before, and SeaMonkey before 1.0.3 allows remote attackers to hijack native DOM methods ...

- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(PATCH)  BID  19181
(UNKNOWN)  XF  mozilla-dom-method-xss(27983)
(UNKNOWN)  VUPEN  ADV-2008-0083
(UNKNOWN)  VUPEN  ADV-2006-3749
(UNKNOWN)  VUPEN  ADV-2006-3748
(UNKNOWN)  VUPEN  ADV-2006-2998
(UNKNOWN)  BUGTRAQ  20060727 rPSA-2006-0137-1 firefox
(UNKNOWN)  SGI  20060703-01-P

- 漏洞信息

Mozilla Firefox/SeaMonkey/Thunderbird DOM方法拒绝服务攻击漏洞
中危 跨站脚本
2006-07-27 00:00:00 2006-08-26 00:00:00
        Mozilla Firefox/SeaMonkey/Thunderbird都是Mozilla发布的WEB浏览器和邮件新闻组客户端产品。
        允许远程攻击者劫持DOM方法从另一个域对象同时利用DOM的 top-level对象的引起拒绝服务攻击漏洞

- 公告与补丁


- 漏洞信息 (F48662)

Ubuntu Security Notice 327-1 (PacketStormID:F48662)
2006-07-28 00:00:00

Ubuntu Security Notice USN-327-1 - A multitude of javascript related vulnerabilities have been patched in Firefox.

Ubuntu Security Notice USN-327-1              July 27, 2006
firefox vulnerabilities
CVE-2006-3113, CVE-2006-3677, CVE-2006-3801, CVE-2006-3802,
CVE-2006-3803, CVE-2006-3805, CVE-2006-3806, CVE-2006-3807,
CVE-2006-3808, CVE-2006-3809, CVE-2006-3810, CVE-2006-3811,

A security issue affects the following Ubuntu releases:

Ubuntu 6.06 LTS

This advisory also applies to the corresponding versions of
Kubuntu, Edubuntu, and Xubuntu.

The problem can be corrected by upgrading your system to the
following package versions:

Ubuntu 6.06 LTS:
  firefox                      1.5.dfsg+

After a standard system upgrade you need to restart Firefox to effect
the necessary changes.

Please note that Firefox 1.0.8 in Ubuntu 5.10 and Ubuntu 5.04 are also
affected by these problems. Updates for these Ubuntu releases will be
delayed due to upstream dropping support for this Firefox version. We
strongly advise that you disable JavaScript to disable the attack
vectors for most vulnerabilities if you use one of these Ubuntu

Details follow:

Various flaws have been reported that allow an attacker to execute
arbitrary code with user privileges by tricking the user into opening
a malicious URL. (CVE-2006-3113, CVE-2006-3677, CVE-2006-3801,
CVE-2006-3803, CVE-2006-3805, CVE-2006-3806, CVE-2006-3807,
CVE-2006-3809, CVE-2006-3811, CVE-2006-3812)

cross-site scripting vulnerabilities were found in the
XPCNativeWrapper() function and native DOM method handlers. A
malicious web site could exploit these to modify the contents or steal
confidential data (such as passwords) from other opened web pages.
(CVE-2006-3802, CVE-2006-3810)

A bug was found in the script handler for automatic proxy
configuration. A malicious proxy could send scripts which could
execute arbitrary code with the user's privileges. (CVE-2006-3808)

Please see

for technical details of these vulnerabilities.

Updated packages for Ubuntu 6.06 LTS:

  Source archives:
      Size/MD5:   174602 7be6f5862219ac4cf44f05733f372f2b
      Size/MD5:     1109 252d6acf45b009008a6bc88166e2632f
      Size/MD5: 44067762 749933c002e158576ec15782fc451e43

  Architecture independent packages:
      Size/MD5:    49190 850dd650e7f876dd539e605d9b3026c8
      Size/MD5:    50078 c1fa4a40187d9c5b58bd049edb00ce54

  amd64 architecture (Athlon64, Opteron, EM64T Xeon)
      Size/MD5: 47269292 167aadc3f03b4e1b7cb9ed826e672983
      Size/MD5:  2796768 b54592d0bd736f6ee12a90987771bc59
      Size/MD5:   216136 79fa6c69ffb0dd6037e56d1ba538ff64
      Size/MD5:    82358 e2e026d582a7b5352cee4453cef0fe45
      Size/MD5:  9400544 a9d0b804a4374dc636bb79968a2bce5c
      Size/MD5:   218822 a09476caea7d8d73d6a2f534bd494493
      Size/MD5:   161876 0e0e65348dba8167b4891b173baa8f0d
      Size/MD5:   235746 064fc1434a315f857ee92f60fd49d772
      Size/MD5:   757458 bd6a5e28e05a04a5deca731ab29f70e4

  i386 architecture (x86 compatible Intel/AMD)
      Size/MD5: 43837610 a7e4a535262f8a5d5cb0ace7ed785237
      Size/MD5:  2796700 4509dbf62e3fd2cda7168c20aa65ba4f
      Size/MD5:   209546 50e174c1c7290fca51f9e1ee71ebb56c
      Size/MD5:    74732 25ba86caeeb1a88da4493875178a3636
      Size/MD5:  7916536 40ebfe4330af25c2359f8b25b039ed5e
      Size/MD5:   218822 6066f59acbce1b4de2dc284b5801efc5
      Size/MD5:   146570 c1a5c5cc4371b228093d03d9ed7ad607
      Size/MD5:   235754 0e9a1a89f63a9869b875ee6a50547c2b
      Size/MD5:   669556 d537a4771b80e5c06f18b2c5d7e5d384

  powerpc architecture (Apple Macintosh G3/G4/G5)
      Size/MD5: 48648192 479d29e08ff2b9cef89a6da3285c0aad
      Size/MD5:  2796790 60b97738bfc3b8b32914487bb4aba239
      Size/MD5:   212982 a396e119a32303afc024d513b997c84e
      Size/MD5:    77894 ef7841bb2ab8de0e0c44e59c893b1622
      Size/MD5:  9019132 ed3927484eea5fccf84a2840640febf3
      Size/MD5:   218826 a2338c3c8064a304deb752bf32a291f8
      Size/MD5:   159112 7d5d6100727ceb894695b219cec11e43
      Size/MD5:   235754 69085beb145222fea07d2d6c19158a2d
      Size/MD5:   768332 8dc6cc8c54185d57af14bab3bee39f9d

  sparc architecture (Sun SPARC/UltraSPARC)
      Size/MD5: 45235424 f5a07188af5802fffbd3cfdd64b109cf
      Size/MD5:  2796756 cb13c7ea0e3b7af2f1e12db1f8dc38a2
      Size/MD5:   210488 17f7723b697110c8f132422bc059d447
      Size/MD5:    76340 c38ccb8b71b9c3783a1c9816ecd9cf5d
      Size/MD5:  8411310 4b3865b2df3924d094e0b18f207bf33d
      Size/MD5:   218814 a0e67d0d425cea2cd5835e2c2faa930f
      Size/MD5:   149018 73108368f0ef745188ebd1c48ea10c88
      Size/MD5:   235746 695a6122710fb30201daaa239ba6d48d
      Size/MD5:   681612 896721beb3cdcea12bab98223c0796c2

- 漏洞信息

Mozilla Multiple Products Top-level Object Method Native DOM XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-07-25 Unknow
Unknow Unknow

- 解决方案

Upgrade Firefox to version, Thunderbird to, or Seamonkey to version 1.0.3, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete